Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OnigCaptureTreeNodeStruct Struct Reference

`#include <oniguruma.h>`

## Data Fields
int | group
OnigPosition | beg
OnigPosition | end
int | allocated
int | num_childs
struct OnigCaptureTreeNodeStruct ** | childs

## Detailed Description

Definition at line 602 of file oniguruma.h.

## Field Documentation

int OnigCaptureTreeNodeStruct::allocated

Definition at line 606 of file oniguruma.h.

OnigPosition OnigCaptureTreeNodeStruct::beg

Definition at line 604 of file oniguruma.h.

Referenced by match_at().

struct OnigCaptureTreeNodeStruct** OnigCaptureTreeNodeStruct::childs

Definition at line 608 of file oniguruma.h.

OnigPosition OnigCaptureTreeNodeStruct::end

Definition at line 605 of file oniguruma.h.

Referenced by match_at().

int OnigCaptureTreeNodeStruct::group

Definition at line 603 of file oniguruma.h.

Referenced by match_at().

int OnigCaptureTreeNodeStruct::num_childs

Definition at line 607 of file oniguruma.h.

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h